# NetAuth
<span class="source-link">[[Source]](src/net/auth.md#L1)</span>
```pony
primitive val NetAuth
```

## Constructors

### create
<span class="source-link">[[Source]](src/net/auth.md#L2)</span>


```pony
new val create(
  from: AmbientAuth val)
: NetAuth val^
```
#### Parameters

*   from: [AmbientAuth](builtin-AmbientAuth.md) val

#### Returns

* [NetAuth](net-NetAuth.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/net/auth.md#L2)</span>


```pony
fun box eq(
  that: NetAuth val)
: Bool val
```
#### Parameters

*   that: [NetAuth](net-NetAuth.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/net/auth.md#L2)</span>


```pony
fun box ne(
  that: NetAuth val)
: Bool val
```
#### Parameters

*   that: [NetAuth](net-NetAuth.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

